﻿using System;
using System.Collections.Generic;
using System.Text;

namespace cleverbridge.Games.TicTacToe
{
    internal class GameLogEntry
    {
        private readonly Int32 _moves;
        private readonly Player? _winner;

        public GameLogEntry(
            Player? winner,
            Int32 moves)
        {
            _moves = moves;
            _winner = winner;
        }

        public Int32 Moves
        {
            get
            {
                return _moves;
            }
        }

        public Player? Winner
        {
            get
            {
                return _winner;
            }
        }
    }
}